User Properties

View, create, update and manage user properties in your account or your client accounts.

GET /users/{id}/properties

DescriptionGet a list of the user’s properties in your company or client account.
Permissionsuser.manage
Resource URLhttps://app.klipfolio.com/api/1.0/users/{id}/properties
Parametersuser id
optional: client_id

Example Request

GET https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210/properties
GET https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210/properties?client_id=0123456789abcdef0123456789abcdef

Example Response

{
 "data": {
   "properties":{ 
     "TestValue": "zyx321",
     "City": "Toronto"}
  },
 "meta": {
     "status": 200,
     "success": true
 }
}

PUT /users/{id}/properties

DescriptionCreates property base on name for all users.
Update property for specific user. Use in your company or client account.
Permissionsuser.manage
Resource URLhttps://app.klipfolio.com/api/1.0/users/{id}/properties
Fieldsuser id
optional: client_id

Example Request

PUT https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210/properties -d
{
     "properties": {
          "kfTestCountry": "Canada",
          "TestValue": "abc1234",
          "City": "Ottawa"
     }
}
PUT https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210/properties?client_id=0123456789abcdef0123456789abcdef -d
{
     "properties": {
          "kfTestCountry": "Canada",
          "TestValue": "abc1234",
          "City": "Ottawa"
     }
}

Example Response

{
 "data": {},
 "meta": {
     "status": 200,
     "success": true
 }
}

DELETE /users/{id}/properties

Description

Delete properties associated with a user in your company or client account.

Deleting a user property will delete the property from all users in your account.

Permissionsuser.manage
Resource URLhttps://app.klipfolio.com/api/1/users/{id}/properties
Parametersuser id
optional: client_id

Example Request

DELETE https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210/properties?name=TestValue
DELETE https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210/properties?client_id=0123456789abcdef0123456789abcdef&name=TestValue

Example Response

{
"meta": {
      "status": 200,
      "success": true
  }
}